### Virtual Method

# Pango FontMapload_font

#### Declaration [src]

    PangoFont*
    load_font (
      PangoFontMap* fontmap,
      PangoContext* context,
      const PangoFontDescription* desc
    )

#### Description [src]

Load the font in the fontmap that is the closest match for `desc`.

#### Parameters

`context`

  Type: `PangoContext`

  The `PangoContext` the font will be used with.

  The data is owned by the caller of the function.

`desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` describing the font to load.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoFont`

The newly allocated `PangoFont` loaded, or `NULL` if no font matched.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.